# Class CIM_MonitorResolution
extends CIM_Setting

MonitorResolution describes the relationship between horizontal and vertical resolutions, refresh rate and scan mode for a DesktopMonitor. The actual resolutions, etc. that are in use, are the values specified in the VideoController object.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Setting
|
+--CIM_MonitorResolution

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | MonitorResolution describes the relationship between horizontal and vertical resolutions, refresh rate and scan mode for a DesktopMonitor. The actual resolutions, etc. that are in use, are the values specified in the VideoController object.
UMLPackagePath | string | CIM::Device::UserDevices
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
HorizontalResolution | uint32 |
Description | string | Monitor's horizontal resolution in Pixels.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.2
ModelCorrespondence | string | CIM_VideoController.CurrentHorizontalResolution
PUnit | string | pixel
Units | string | Pixels
MaxRefreshRate | uint32 |
Description | string | Monitor's maximum refresh rate in Hertz, when a range of rates is supported at the specified resolutions.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.7
ModelCorrespondence | string | CIM_VideoController.MaxRefreshRate
PUnit | string | hertz
Units | string | Hertz
MinRefreshRate | uint32 |
Description | string | Monitor's minimum refresh rate in Hertz, when a range of rates is supported at the specified resolutions.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.6
ModelCorrespondence | string | CIM_VideoController.MinRefreshRate
PUnit | string | hertz
Units | string | Hertz
RefreshRate | uint32 |
Description | string | Monitor's refresh rate in Hertz. If a range of rates is supported, use the MinRefreshRate and MaxRefreshRate properties, and set RefreshRate (this property) to 0.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.4
ModelCorrespondence | string | CIM_VideoController.CurrentRefreshRate
PUnit | string | hertz
Units | string | Hertz
ScanMode | uint16 |
Description | string | Integer indicating whether the monitor operates in interlaced (value=5) or non-interlaced (4) mode.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.5
ModelCorrespondence | string | CIM_VideoController.CurrentScanMode
ValueMap | string | 1, 2, 3, 4, 5
Values | string | Other, Unknown, Not Supported, Non-Interlaced Operation, Interlaced Operation
SettingID | string |
Description | string | The inherited SettingID serves as part of the key for a MonitorResolution instance.
Key | boolean | true
MaxLen | uint32 | 256
Override | string | SettingID
VerticalResolution | uint32 |
Description | string | Monitor's vertical resolution in Pixels.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.3
ModelCorrespondence | string | CIM_VideoController.CurrentVerticalResolution
PUnit | string | pixel
Units | string | Pixels

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ApplyIncrementalChangeToCollection | uint32 | CIM_Setting
ApplyIncrementalChangeToMSE | uint32 | CIM_Setting
ApplyToCollection | uint32 | CIM_Setting
ApplyToMSE | uint32 | CIM_Setting
VerifyOKToApplyIncrementalChangeToCollection | uint32 | CIM_Setting
VerifyOKToApplyIncrementalChangeToMSE | uint32 | CIM_Setting
VerifyOKToApplyToCollection | uint32 | CIM_Setting
VerifyOKToApplyToMSE | uint32 | CIM_Setting